mySoftware [Updates]

Once you create a user profile on Motifator and update with the appropriate information, the updates shown here will be specific to you.

rssFeeds [Syndicate]


forumforum
 

Old Motifator threads are available in the Archive.

Viewing topic "New Melas Tools Version 2.5.0 released!"

     
Posted on: December 20, 2016 @ 06:10 AM
B.Minor
Avatar
Total Posts:  126
Joined  10-22-2010
status: Pro

A new update is available for the Melas Tools Suite, applicable for all Motif series synths (XF, MOXF, XS, Rack XS, S70/90 XS, MOX and MX).

New features and bugfixes in version 2.5.0:

Total Librarian: Sending to Edit Buffer updates open Editors automatically
Total Librarian: Added importing of Pattern names from Native files
Total Librarian: Added importing of Zone Category and Zone Name from Native files
Mix Editor: Fixed bug which could make recorded phrases not playable
Improved support for High DPI displays
Improved support for Multiple Monitor setups
Several UI improvements
Several fixes and enhancements

Please note that Melas Waveform Editor (currently V2.0.0) is a separate application which is not part of this update.

  [ Ignore ]  

Posted on: December 27, 2016 @ 10:57 AM
5pinDIN
Avatar
Total Posts:  8825
Joined  09-16-2010
status: Guru
B.Minor - 20 December 2016 06:10 AM

A new update is available for the Melas Tools Suite, applicable for all Motif series synths (XF, MOXF, XS, Rack XS, S70/90 XS, MOX and MX). [...]

Thanks for the information. I downloaded the Melas Tools demo for several models, and attempted to install them on the PC I use for music applications, which is running XP Pro with Service Pack 3. The result is seen in the attached image.

I decided to abort the installations. That resulted not only in version 2.5.0 not being installed, but removal of the version (2.4.0 in my case) that had been on the computer.

Mr Melas might want to look into the situation…

Image Attachments
Melas Error message.gif
  [ Ignore ]  

Posted on: December 27, 2016 @ 11:32 AM
jozsihome
Total Posts:  92
Joined  11-28-2015
status: Experienced

For my setup (win10 64bit, lenovo x260) upgrade was OK for Librarian and Mix editor, they are at 2.5.0 level at the moment. Thanks B.Minor for the alert.

Hi 5pinDIN, (1) try installer in “run as system administrator”; (2) I’m quite convinced that it’s high time to retire XP. We may ask JM if he tested the new version with XP but I don’t think so; (3) If you have installed different versions of the software (XF/MOXF/XS etc.) in the same box that may cause conclicts in DLL handling.

  [ Ignore ]  

Posted on: December 27, 2016 @ 12:42 PM
5pinDIN
Avatar
Total Posts:  8825
Joined  09-16-2010
status: Guru
jozsihome - 27 December 2016 11:32 AM

Hi 5pinDIN, (1) try installer in “run as system administrator”;

Thanks for your suggestions. Since I’m the only user on my system, my account is Administrator. Nevertheless, I right-clicked, selected “run as...”, and chose “Administrator”. There was no change in behavior - the same error occurred.

 

jozsihome -

(2) I’m quite convinced that is it high time to retire XP. We may ask JM if he tested the new version with XP but I don’t think so;

I’m using XP because it works well and supports older software that won’t run under newer OS versions. I’m not going to stop using XP until there’s a more compelling reason to do so.

 

jozsihome -

(3) If you have installed different versions of the software (XF/MOXF/XS etc.) in the same box that may cause conclicts in DLL handling.

I have the XF/XS/MOX/MOXF, etc., 2.4.0 demo versions installed with no problem. When aborting 2.5.0 wiped 2.4.0, I reinstalled 2.4.0, and there are no conflicts with it.

I don’t especially care if 2.5.0 works for me or not, since I don’t use the Melas programs. (I either work directly on my XF or XS, use the Yamaha editors, use MIDI utilities, or write my own software.) However, I do sometimes suggest that other Motifator members consider the Melas programs, and being able to run the demos allows me to make informed comments.

  [ Ignore ]  

Posted on: January 15, 2017 @ 05:39 AM
B.Minor
Avatar
Total Posts:  126
Joined  10-22-2010
status: Pro

5pinDIN, sorry to hear that there are problems when trying to install the Melas software on your WinXP system. Maybe you might contact John directly in order to tell him about that issue.

Btw., just before X-mas I also found and reported a bug to John which applied to the current Waveform Editor (V2.0.0) application. The problem was that there are several cases where any X6W files were *not* imported correctly. John already fixed that problem in the meantime and he also sent me a new release (V2.1.0) for Waveform Editor. I’m not sure I’m allowed to distribute that new version here, but I guess John will release it anyway soon on his homepage. As he’s always very responsive, it’s always a good idea to report any issues to him directly. He’s very thankful for every feedback and he’s always open to improve his products.

  [ Ignore ]  


 
     


Previous Topic:

‹‹ Moxf8 manufacture date?
Next Topic:

    Cables to connect to an AV Amp ››